VPS侦探论坛

 找回密码
 注册
搜索
热搜: pathinfo
查看: 1298|回复: 26

趁着lnmp1.6测试提个建议

[复制链接]
发表于 2019-1-6 15:42:40 | 显示全部楼层 |阅读模式

LNMP最常用的环境是Nginx/MySQL/PHP,
目前lnmp1.6测试版默认安装的版本是Nginx1.14、MySQL5.5、PHP5.6
不过PHP5.6和MySQL5.5官方都已经停止了安全更新,已经是不安全的版本了
http://php.net/eol.php  PHP5.6于2018年12月31日停止所有安全更新支持
https://en.wikipedia.org/wiki/MySQL  MySQL5.5也End of support在December 2018
基于此建议lnmp1.6测试版默认使用MySQL5.6或更高版本,
如果非要使用旧版可以使用MariaDB5.5这个版本支持到2020年3月
https://www.fromdual.com/support-for-mysql-from-oracle
PHP建议默认选择PHP7.2
由于PHP7.0和PHP5.6都已经停止支持,PHP7.2使用的人最多应用最广是最好的选择,
LNMP的默认环境作为广大建站爱好者的默认选择,安装的默认版本都是不再支持的危险版本实在不妥,
希望可以从最基本的安全出发从谏如流,早日做出相应的更改。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-1-6 17:24:24 | 显示全部楼层



原来mjj那个是你 :lol
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2019-1-7 07:41:58 | 显示全部楼层



原帖由 蛋蛋的蛋 于 2019-1-6 17:24 发表
原来mjj那个是你 :lolhttps://i.loli.net/2019/01/06/5c31c93e2dcdc.png
我只是收到了启发,才会提这个建议的。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

发表于 2019-1-7 10:53:08 | 显示全部楼层

不是停止支持了bug就会横行,你可以翻翻php或mysql的历史漏洞看看有多少漏洞是直接会导致受重大影响的
造成漏洞的主要原因还是在网站程序上而不是php上
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2019-1-7 11:16:17 | 显示全部楼层

回复 4# 的帖子



既然已经知道是存在安全风险的默认选择,虽然还没有爆发风险,但也应该做出积极的调整,
即使由于各种原因您不愿接受我的合理建议,您也应该在(default)后面加入提示,让用户意识到风险的存在,以引导用户做出更合理的选择。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-1-8 10:51:58 | 显示全部楼层

原帖由 freep 于 2019-1-7 11:16 发表
既然已经知道是存在安全风险的默认选择,虽然还没有爆发风险,但也应该做出积极的调整,
即使由于各种原因您不愿接受我的合理建议,您也应该在(default)后面加入提示,让用户意识到风险的存在,以引导用户做出更合理的选择。 ...

你这不是‘道德绑架’?

凭什么你说什么就什么,用户都傻子? php有风险,什么什么版本停更谁会不知道。

能用军哥这个环境的都不是菜鸟,都知道自己在干什么,

那些小白只会用bt那些带可视面板的环境。

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2019-1-8 15:28:25 | 显示全部楼层

回复 6# 的帖子




您可以在论坛发个投票看看不知道php5.6、php7.0和mysql5.5官方已经停止安全更新的人有没有1%,不知道您是怎么得出使用lnmp一键脚本的人都知道,是从哪里来的数据。我这只是个建议,接不接受也不是我绑架的了的。至于你认为我的建议有什么问题可以提出来,或者您有更好的建议。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-1-9 12:30:50 | 显示全部楼层



我只是站在小白的立场想的,
当初我是小白的时候,就是想找个可视的linux主机管理,

那时候用的LuManager,还可以自己搭建cdn镜像的
当然那时候也看过军哥这个,那时候觉得没有可视面板,操作不习惯,就没有用军哥这个
那时候还是lnmp1.3版本吧,安装ftp在那时候还是小白的我来说还毕竟困难,
后来嫌弃它LuManager这些cdn功能太‘臃肿’,所以放弃了LuManager,


后来‘成长’之后就一直用军哥这个了。所以能用这个无可视面板的,都不是小白,

小白几乎都可以排除,
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2019-1-9 12:33:56 | 显示全部楼层



只是希望军哥不要添加太多的,几乎用不上的东西,‘不忘初心’,不要被‘道德绑架’。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2019-1-9 13:31:25 | 显示全部楼层

回复 9# 的帖子




没有添加任何东西,只是非常细微的改动,不影响必须使用旧版的用户。
我测试了十来个vps(有256M内存的,有512M内存的有1G内存的有openvz的有xen的有kvm的)安装LNMP(Linux+Nginx+MariaDB5.5+PHP7.2)都没有问题。
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2019-1-9 13:35:04 | 显示全部楼层

回复 8# 的帖子



的确很多人不是小白,不过他们都比较懒,安装时喜欢直接回车回车回车,这样安装下来就是有风险的生产环境,按照我说的细微调整好,对那些回车党比较负责一些,哈哈哈
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-1-9 14:17:30 | 显示全部楼层



喜欢回车 回车的一般是对 该软件及版本很熟悉,才会这样做

比如qq,第一次安装的时候,下一步 都会 仔细看下 。以免默认勾选捆绑

对于小白 估计都不会 安装软件,  都是通过软件应用中心一键装的。

会安装的 起码知道自己装的是谁,有无捆绑,勾不勾选  啥啥的吧

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2019-1-11 09:49:24 | 显示全部楼层


也许吧,改不改我也不说了
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-1-11 12:47:55 | 显示全部楼层



用老版本是考虑大部分程序兼容的问题PHP5.6 MYSQL5.5都有很好稳定性。应该基本么有安全问题了。新版本才要考虑安全问题

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2019-1-11 12:51:28 | 显示全部楼层

回复 14# 的帖子


您这个思路真让我大开眼界了,那您电脑都用回xp吧,这个够老,肯定不存在安全问题的
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-4-25 10:57 , Processed in 0.061767 second(s), 27 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表